let user = "razpudding"
let gitHubUrl = 'https://api.github.com/users/' + user + '/repos';

//Build an XHR request and then send it.
//If you want a more structured approach, write an XHR constructor and call it here
//Read this for more info: https://www.kirupa.com/html5/making_http_requests_js.htm
const xhr = new XMLHttpRequest();
xhr.open('GET', gitHubUrl, true);
xhr.send();
xhr.onreadystatechange = processRequest;

//This function keeps track of changes to the xhr request
function processRequest() {
  console.log(xhr.readyState);
  if (xhr.readyState == 4){
    console.log("xhr request DONE SON");
    let result = xhr.responseText;
    console.log(result)
    result = JSON.parse(result)
    renderDataToDom(result)
  }
}

function renderDataToDom(someData){
  console.log(someData)
  let newList = createHTMLElement('ul')
  
  for (let property of someData){
    console.log(property)
    let listItem = createHTMLElement('li', newList)
    listItem.innerText = property.name
  }
}

function createHTMLElement(tag, parent){
  console.log("createHTML element called with:", tag, parent)
  let newElement = document.createElement(tag)
  if (parent){
    parent.appendChild(newElement)
  }
  else {
    document.body.appendChild(newElement)
  }
  return newElement
}